﻿/*
  These are CSS changes one might commonly make, but are subject to review. Hence not part of the main template.
*/

/* 
  GV Table
*/

div.gv-table-search {
  margin-bottom: 15px;
}

/*
  Remove ugly box shadow from all inputs.
*/

.form-control {
  box-shadow: none;
}

/*
  Modals
*/

div.modal-footer .btn {
  min-width: 80px;
}

div.modal-scroll {
  max-height: 500px;
  overflow-y: auto;
}

/*
  Make file inputs in horizontal forms fill the containing DIV.
*/

form.form-horizontal div.form-group input[type="file"] {
  width: 100%;
}

div.page-button-strip {
  margin-top: 10px;
  border-top: 1px solid #E7E7E7;
}

  div.page-button-strip .btn {
    margin-top: 10px;
    margin-bottom: 10px;
    min-width: 80px;
  }

span.field-validation-error {
  color: red;
}

textarea.form-control {
  min-height: 200px;
}

/* 
  Remove margins from pager when used with GVTable to make it align better. 
*/

nav#gvPager ul.pagination {
  margin-top: 0px;
  margin-bottom: 0px;
}

/*
  Style gv-select borders to match the application.
*/

div.gv-select button.dropdown-toggle,
div.gv-select ul.dropdown-menu {
  border-color: #ccc;
}

/* 
  GV Table
*/

div.gv-table-search {
  margin-bottom: 15px;
}

  div.gv-table-search label {
    margin-right: 15px;
  }

/*
  Breadcrumb. This will include the page title, so want to make the font larger, but vary with viewport size.
  Also change the active element to look like H2 tag
*/

div.breadcrumb-row {
  margin-bottom: 15px;
}

ol.breadcrumb {
  background-color: #FFF;
  padding-left: 0px;
  font-size: 12px;
}

  ol.breadcrumb li.active {
    font-weight: 500;
    color: #333;
  }

@media (min-width: 768px) {
  ol.breadcrumb {
    font-size: 14px;
  }
}

div.path ol.breadcrumb {
  font-size: 12px;
  margin-bottom: 2px;
  padding-bottom: 0px;
}

/* 
  Toolbar.
*/

div.toolbar {
  padding-top: 15px;
}

/* 
  Small AJAX activity icon.
*/

div.ajax-busy {
  height: 24px;
  width: 24px;
}

div.ajax-busy-active {
  background-position: center center !important;
  background-repeat: no-repeat !important;
  border-radius: 50%;
  opacity: 0.7;
  background: url("/Content/Images/ajax-busy-24px.gif");
}